服务器代维,美国高防cdn,服务器安全维护 -
吴天是个专业的运维工作者,一个设计爱好者的博客,也是所有草根站长学习升级,设计爱好者互相学习的交流平台!

最近更新

微擎 v0.7-UTF8 稳定版 环境要求

服务器代维分享微擎的安装环境和安装方法

1、微擎 v0.7-UTF8 稳定版 环境要求:

IIS6/7/APACHE

PHP5.3

zend guard

MYSQL_pdo


安装好环境后的操作:

3.下载微擎 v0.7-UTF8
这个程序很特别,他使用的是在线安装模式,程序包只有一个install.php文件。

4. 上传这个install.php ,访问http://你的域名/install.php进行安装。

参与:0时间:2016/2/21
ECSHOP首页产品图片模糊

今天服务器代维员在3306safe这,给大家分享一个ecshop首页图片模糊的解决办法,方法如下:
在ecshop的后台,点商店设置——然后点显示设置——把缩略图高度和宽度都设为0,接着点下面的确定,再点后台左边的商品管理——图片批量处理,在右边点确定。OK,刷新一下首页,ecshop首页图片模糊的问题是不是解决了.

参与:1时间:2016/2/19
安装WDCP提示Install Error: libiconv make install err

今天服务器代维员帮客户安装WDCP时,提示以下错误:

make in progress ...
make install in progress ...
Starting MySQL.[  OK  ]

installing httpd...


installing libiconv...


----Install Error: libiconv make install err -----------

参与:1时间:2016/2/17
未在本地计算机上注册“microsoft.ACE.oledb.12.0”提供程序

 今天服务器代维帮客户安装网站时提示,错误信息:未在本地计算机上注册“microsoft.ACE.oledb.12.0”提供程序。

分享解决办法:

http://download.microsoft.com/download/7/0/3/703ffbcb-dc0c-4e19-b0da-1463960fdcdb/AccessDatabaseEngine.exe下载,接着安装即可

参与:0时间:2016/2/16
eAccelerator ionCube Zend_Guard_Loader 共存

[ionCube Loader]
zend_extension="/web/php/ext/ioncube_loader_lin_5.3.so"
zend_extension_ts="/web/php/ext/ioncube_loader_lin_5.3_ts.so"
;ioncube_loader_lin_5.3.so 中的5.3就是对应的PHP版本
;至于那个ts博主就不知道了 = =!
;这里有一点得注意下,zend_extension这样加载扩展的千万别偷懒不在文件名前面写路径!不然是加载不到扩展的!
;下面的ZGL也一样
;如果在php中配置了extension_dir,那么在用extension加载扩展时可以偷懒。。。
 
[Zend Guard Loader]
zend_extension="/web/php/ext/ZendGuardLoader.so"
zend_loader.enable=1
zend_loader.disable_licensing=0
zend_loader.obfuscation_level_support=3
zend_loader.license_path=
 
[eaccelerator]
extension="eaccelerator.so"
eaccelerator.shm_size="64"
eaccelerator.shm_max="134217728"
eaccelerator.shm_ttl="600"
eaccelerator.shm_prune_period="300"
eaccelerator.shm_only="0"
eaccelerator.cache_dir="/tmp/eaccelerator"
eaccelerator.enable="1"
eaccelerator.optimizer="1"
eaccelerator.check_mtime="1"
eaccelerator.debug="0"
eaccelerator.filter=""
eaccelerator.compress="1"
eaccelerator.compress_level="9"
eaccelerator.keys = "shm"
eaccelerator.session = "shm"
eaccelerator.content = "shm"
eaccelerator.allowed_admin_path = "/web/website/test"

参与:3时间:2016/1/31
think提示syntax error, unexpected '['

 客户的THINK网站在替换WEB服务时提示 syntax error, unexpected '[',     ,原来的是IIS7.5更换成APACHE, PHP5.3.29,更换好后,首页访问正常,但登陆后会提示此错误.

服务器代维员检查服务器发现,

PHP code
?
1
$user = M('userinfo_table')->where($data)->select()[0];


当我将这段代码修改成下面的之后,就没有报错了:

参与:3时间:2016/1/30
Think网站提示MYSQL_ATTR_INIT_COMMAND

客户打开网站时提示MYSQL_ATTR_INIT_COMMAND,这时着急了,找到我们服务器代维员,根据我们代维员的经验,得知这错误提示是PHP缺少PDO mysql.

经过我们服务器代维员上服务器检查PHPINFO,发现PHP.INI显示不出来,这时已经得出结论:

只要把系统变量和PHP.INI放到windows下即可

参与:3时间:2016/1/29
sql2012 各版本下载地址

 

服务器代维员临到春节,也不忘了分享SQL2012各版本的下载地址,因为不少客户都问服务器代维员有没有SQL2012,"发给我个呗",安装包这么大,怎么发,就这样,服务器代维员不谓辛苦,在网上搜集了SQL2012的下载的址:

SQL Server 2012 Enterprise Edition (x86 and x64) - DVD (Chinese-Simplified)
ed2k://|file|cn_sql_server_2012_enterprise_edition_x86_x64_dvd_813295.iso|5054384128|BC78EFDC4005C44F80D88E54251D4025|/

参与:2时间:2016/1/27
wdcp php 编译内置的pdo_mysql

 服务器代维员在为客户安装网站自动检测环境一切满足条件,可是网站程序运行还是出现:
        PHP Fatal error:  Undefined class constant 'MYSQL_ATTR_FOUND_ROWS'



服务器代维员翻遍google+baidu,都说这是php 5.3以前的一个 bug,5.3之后的已经加入了这个常数。可我明明已经升级到php 5.3.29了,难道那个该死的软件认为我用的还是老版本?

回头再看论坛里面添加pdo_mysql的脚本,发现是从http://pecl.php.net/package/PDO_MYSQL下载,然后编译成扩展模块添加进php的。进入pecl,看到
 

参与:3时间:2016/1/24
Gene6 FTP server在windows 2008上面破解后无法启动解决方法

 最近在服务器代维总监的文件夹里发现Gene6 FTP是个很不错的FTP,精简是服务器的重点.越少服务,系统运行越快.


但今天发现,在WIN2008上,安装Gene6 FTP 3.1时,安装完是可以正常启动服务的,到复制完两个汉化和破解文件后,即启动不了.现在服务器代维员分享下解决方法:

在WIN2008的数据执行保护 中将 g6ftpserver.exe 设为列外就可以了.

参与:0时间:2016/1/22
Design By 服务器安全 | Power By 服务器代维